<div>
  <h3 class="text-center h2 m-5">Candidate detail</h3>
  <div class="detail-candidate container">
    <div class="detail-candidate__session">
      <h4 jhiTranslate="candidateManagement.create.personalInformation">
        Personal information
      </h4>
      <div class="detail-candidate__session__content">
        <div>
          <h5 jhiTranslate="candidateManagement.table.firstName">First name</h5>
          <p>{{candidate?.firstName}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.lastName">Last name</h5>
          <p>{{candidate?.lastName}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.birthYear">Birth Year</h5>
          <p>{{candidate?.birthYear || '----'}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.personalNumber">Personal Number</h5>
          <p>{{candidate?.personalNumber}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.gender">Gender</h5>
          <p>{{candidate?.gender}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.regionDTO">Region</h5>
          <p>{{candidate?.regionDTO?.name}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.countryDTO">Country</h5>
          <p>{{candidate?.countryDTO?.name}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.linkedLnLink">LinkedIn link</h5>
          <p>{{candidate?.linkedLnLink}}</p>
        </div>
      </div>
    </div>
    <div class="detail-candidate__session">
      <h4 jhiTranslate="candidateManagement.create.candidate">
        Candidate
      </h4>
      <div class="detail-candidate__session__content">
        <div>
          <h5 jhiTranslate="candidateManagement.table.employerDTOs">Employer</h5>
          <p>
            {{employersName}}
          </p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.firstEmployment">First Employment</h5>
          <p>{{candidate?.firstEmployment}}</p>
        </div>
        <div>

          <h5 jhiTranslate="candidateManagement.table.managerialPositionDTOs">Managerial position</h5>
          <p>{{managerialPositionsName}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.businessAreaDTOs">Business areas</h5>
          <p>{{businessAreasName}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.cvDTO">CVs</h5>
          <p>
            <a [href]="candidate?.cvDTO?.url" target="_blank">{{candidate?.cvDTO?.fileName}}</a>
            <button class="btn p-0" *ngIf="cvsExited?.length" (click)="viewCvList()">
              <i class="bi bi-card-list"></i>
            </button>
          </p>
        </div>
      </div>
    </div>
    <div class="detail-candidate__session">
      <h4 jhiTranslate="candidateManagement.create.contact">
        Contact
      </h4>
      <div class="detail-candidate__session__content">
        <div>
          <h5 jhiTranslate="candidateManagement.table.streetAddress">Street address</h5>
          <p>{{candidate?.streetAddress}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.zipCode">Zip code</h5>
          <p>{{candidate?.zipCode}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.city">City</h5>
          <p>{{candidate?.city}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.phoneNumber">Phone number</h5>
          <p>{{candidate?.phoneNumber}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.emailPrivate">Email private</h5>
          <p>{{candidate?.emailPrivate}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.emailWork">Email work</h5>
          <p>{{candidate?.emailWork}}</p>
        </div>
      </div>
    </div>
    <div class="detail-candidate__session">
      <h4 jhiTranslate="candidateManagement.create.information">
        Information
      </h4>
      <div class="detail-candidate__session__content">
        <div>
          <h5 jhiTranslate="candidateManagement.table.createdDate">Created date</h5>
          <p>{{candidate?.createdDate | date: 'dd/MM/yyyy'}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.lastModifiedDate">Updated date</h5>
          <p>{{candidate?.lastModifiedDate | date: 'dd/MM/yyyy'}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.createdBy">Create by</h5>
          <p>{{candidate?.createdBy}}</p>
        </div>
        <div>
          <h5 jhiTranslate="candidateManagement.table.lastModifiedBy">Last modify by </h5>
          <p>{{candidate?.lastModifiedBy}}</p>
        </div>
      </div>
    </div>

    <button class="btn btn-dark detail-candidate__back" (click)="backToList()">Back</button>
  </div>
</div>